import 'package:doctor_app_flutter/models/SOAP/master_key_model.dart';

class MySelectedExamination {
 MasterKeyModel selectedExamination;
  String remark;
  bool isNormal;
  bool isAbnormal;
  bool notExamined;
  bool isNew;
  int createdBy;

  MySelectedExamination(
      {this.selectedExamination,
      this.remark,
      this.isNormal = false,
      this.isAbnormal = false,
      this.notExamined = true,
      this.isNew = true,
      this.createdBy});

  MySelectedExamination.fromJson(Map<String, dynamic> json) {
    selectedExamination = json['selectedExamination'] != null
        ? new MasterKeyModel.fromJson(json['selectedExamination'])
        : null;
    remark = json['remark'];
    isNormal = json['isNormal'];
    isAbnormal = json['isAbnormal'];
    notExamined = json['notExamined'];
    isNew = json['isNew'];
    createdBy = json['createdBy'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();

    if (this.selectedExamination != null) {
      data['selectedExamination'] = this.selectedExamination.toJson();
    }
    data['remark'] = this.remark;
    data['isNormal'] = this.isNormal;
    data['isAbnormal'] = this.isAbnormal;
    data['notExamined'] = this.notExamined;
    data['isNew'] = this.isNew;
    data['createdBy'] = this.createdBy;
    return data;
  }
}
